package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.List;

/**
 * <p>
 * 销售合同变更信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-12
 */
@TableName("c_sales_contract_supplement_info")
public class CSalesContractSupplementInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同管理Id
     */
    @TableField("c_sales_contract_management_id")
    private Long cSalesContractManagementId;

    /**
     * 变更类型 1:经办人变更,0:合同条款变更'
     */
    @TableField("change_type")
    private Integer changeType;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 人员信息
     */
    @TableField(exist = false)
    private List<CSalesContractSupplementPersonInfo> supplementPersonInfos;

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<CSalesContractSupplementPersonInfo> getSupplementPersonInfos() {
        return supplementPersonInfos;
    }

    public void setSupplementPersonInfos(List<CSalesContractSupplementPersonInfo> supplementPersonInfos) {
        this.supplementPersonInfos = supplementPersonInfos;
    }

    @Override
    public String toString() {
        return "CSalesContractSupplementInfo{" +
                ", cSalesContractManagementId=" + cSalesContractManagementId +
                ", changeType=" + changeType +
                ", remark=" + remark +
                "}";
    }
}
